从v3开始的“ W0.9.5总缓存”问题的修补程序

30.9.2016年3月XNUMX日更新:WXNUMX总缓存v0.9.5.1 现已发布,该版本使用其功能和类为第三方插件重新添加了向后兼容性。 即使未应用以下修补程序,Maps Marker Pro和Leaflet Maps Marker仍可与W3 Total Cache v0.9.5.1一起正常使用。

流行 W3 Total Cache插件 今天已更新至v0.9.5。 不幸的是,此更新没有考虑到许多其他插件(包括Maps Marker Pro)所依赖的功能的向后兼容性。 这就是为什么更新到W3TC 0.9.5会使部分WordPress后端无法访问,而您会在内容区域看到以下错误:

Fatal error: Call to undefined function w3_instance()...

由于我们目前正在准备即将发布的版本的最后步骤,因此我们决定发布此问题的修补程序。 该修补程序已添加到当前的pro v2.7.3版本中-因此,如果您在26月26日之后下载了Maps Marker Pro,则不会受到此问题的影响,因此不需要应用此修补程序。 如果您在3月0.9.5日之前下载了Maps Marker Pro(并更新为WXNUMX Total Cache vXNUMX),则需要按照本教程的步骤应用此修补程序:

或者,您也可以编辑文件 /wp-content/plugins/leaflet-maps-marker-pro/inc/compatibility-checks.php 直接删除W3TC兼容性检查(对于v65,在94-2.7.3行)

请注意,以上教程仅适用于Maps Marker Pro –如果您正在寻找有关如何为Leaflet Maps Marker应用修补程序的教程,请 点击此处详细了解。.

不便之处,敬请原谅。 对于将来的版本,即使第三方插件的功能被删除或不再可访问,我们也将尝试确保我们的代码正常运行…

意见或其他问题?

如果您正在寻找技术支持 请点击这里,对于其他所有问题,请 使用我们的联系表格 取得联系! 我们期待着您的回音!

您的Maps Marker Pro团队

en English
X